Loading...
Searching...
No Matches
index.hpp File Reference

Provides raptor::raptor_index. More...

`#include <sharg/exceptions.hpp>`
`#include <raptor/argument_parsing/build_arguments.hpp>`
`#include <raptor/hierarchical_interleaved_bloom_filter.hpp>`
`#include <raptor/strong_types.hpp>`

Go to the source code of this file.

## Classes

class | raptor::raptor_index< data_t >

## Concepts

concept | raptor::index_structure::compressible_from
concept | raptor::index_structure::is_compressed
concept | raptor::index_structure::is_hibf
concept | raptor::index_structure::is_ibf

## Typedefs

using | raptor::index_structure::hibf = hierarchical_interleaved_bloom_filter<seqan3::data_layout::uncompressed>
using | raptor::index_structure::hibf_compressed = hierarchical_interleaved_bloom_filter<seqan3::data_layout::compressed>
using | raptor::index_structure::ibf = seqan3::interleaved_bloom_filter<seqan3::data_layout::uncompressed>
using | raptor::index_structure::ibf_compressed = seqan3::interleaved_bloom_filter<seqan3::data_layout::compressed>

## Detailed Description

Provides raptor::raptor_index.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>